const inMemoryLogs = [];
export function log(level, message, metadata) {
    inMemoryLogs.push({ level, message, metadata, createdAtMs: Date.now() });
    if (inMemoryLogs.length > 500)
        inMemoryLogs.shift();
}
export function logError(message, metadata) {
    log("error", message, metadata);
}
export function getInMemoryLogs() {
    return [...inMemoryLogs];
}
